<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [type](./puppeteer.frame.type.md)

## Frame.type() method

<b>Signature:</b>

```typescript
type(selector: string, text: string, options?: {
        delay: number;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  selector | string |  |
|  text | string |  |
|  options | { delay: number; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

